#!/bin/sh
# Run scripts that prepare for the build

printf "Compiling translation files..."
(cd Translation ; ./pro-generate.sh && "${QTDIR}/bin/lrelease" Translation.pro) || (echo "Error compiling translation files" ; exit 1)
echo "Done."

printf "Generating IDL for hardware notification..."
(cd Tray-HWNotify/ && ./make_idl.sh) || (echo "Error generating IDL" ; exit 2)
echo "Done."

printf "Generating IDL for network notifications..."
(cd Tray-Network/ && ./make_idl.sh) || (echo "Error generating IDL" ; exit 2)
echo "Done."

echo "Run make to start the build."
